%global debug_package %{nil}

%global sysname news_flash_gtk
%global uuid    com.gitlab.newsflash

Name:           newsflash
Version:        1.4.2
Release:        1%{?dist}
Summary:        The spiritual successor to FeedReader

License:        GPLv3+
URL:            https://gitlab.com/news-flash/news_flash_gtk
Source0:        %{url}/-/archive/%{version}/%{sysname}-%{version}.tar.gz

BuildRequires:  cargo >= 1.42
BuildRequires:  desktop-file-utils
BuildRequires:  git-core
BuildRequires:  intltool
BuildRequires:  libappstream-glib
BuildRequires:  meson
BuildRequires:  rust >= 1.42

BuildRequires:  pkgconfig(gdk-pixbuf-2.0)
BuildRequires:  pkgconfig(gio-2.0) >= 2.56
BuildRequires:  pkgconfig(glib-2.0) >= 2.56
BuildRequires:  pkgconfig(gtk+-3.0) >= 3.24.7
BuildRequires:  pkgconfig(libhandy-1)
BuildRequires:  pkgconfig(openssl)
BuildRequires:  pkgconfig(webkit2gtk-4.0) >= 2.24.1

Requires:       hicolor-icon-theme

%description
A modern feed reader designed for the GNOME desktop. NewsFlash is a program
designed to complement an already existing web-based RSS reader account.

It combines all the advantages of web based services like syncing across all
your devices with everything you expect from a modern desktop program: Desktop
notifications, fast search and filtering, tagging, handy keyboard shortcuts
and having access to all your articles as long as you like.


%prep
%autosetup -n %{sysname}-%{version} -p1

# Set codegen-units to 1
echo -e '\n[profile.release]' >> Cargo.toml
echo 'codegen-units = 1' >> Cargo.toml


%build
export CARGO_PROFILE_RELEASE_BUILD_OVERRIDE_OPT_LEVEL=3
%meson
#%%meson -Dprofile=development
export FEEDLY_CLIENT_ID="boutroue"
export FEEDLY_CLIENT_SECRET="FE012EGICU4ZOBDRBEOVAJA1JZYH"
export PASSWORD_CRYPT_KEY="ypsSXCLhJngks9qGUAqShd8JjRaZ824wT3e"
export MERCURY_PARSER_USER="newsflash"
export MERCURY_PARSER_KEY="R4qcKEHpr9RTq6YuRAPkm9kMhjp4GuxiWG44VDk3Na4ZsN7F" 
%meson_build


%install
%meson_install
#%%find_lang %%{name}


%check
appstream-util validate-relax --nonet %{buildroot}%{_metainfodir}/*.xml
desktop-file-validate %{buildroot}%{_datadir}/applications/*.desktop


%files
%license LICENSE
%doc README.md
%{_bindir}/%{uuid}
%{_datadir}/applications/*.desktop
%{_datadir}/icons/hicolor/*/apps/*.svg
%{_metainfodir}/*.xml


%changelog
* Sun Jun 20 2021 Artem Polishchuk <ego.cordatus@gmail.com> - 1.4.2-1
- build(update): 1.4.2

* Sun Mar 14 2021 Artem Polishchuk <ego.cordatus@gmail.com> - 1.4.0-1
- build(update): 1.4.0

* Wed Mar 03 2021 Artem Polishchuk <ego.cordatus@gmail.com> - 1.3.0-1
- build(update): 1.3.0

* Mon Feb 15 2021 Artem Polishchuk <ego.cordatus@gmail.com> - 1.2.2-1
- build(update): 1.2.2

* Sat Jan 30 2021 Artem Polishchuk <ego.cordatus@gmail.com> - 1.2.0-1
- build(update): 1.2.0

* Sat Dec 26 2020 Artem Polishchuk <ego.cordatus@gmail.com> - 1.1.1-1
- build(update): 1.1.1

* Fri Aug 14 2020 Artem Polishchuk <ego.cordatus@gmail.com> - 1.0.5-1
- Update to 1.0.5

* Mon Aug 10 2020 Artem Polishchuk <ego.cordatus@gmail.com> - 1.0.4-1
- Update to 1.0.4

* Mon Jul 27 2020 Artem Polishchuk <ego.cordatus@gmail.com> - 1.0.2-1
- Update to 1.0.2

* Fri Jul 24 2020 Artem Polishchuk <ego.cordatus@gmail.com> - 1.0.1-1
- Update to 1.0.1

* Mon Jun 29 2020 Artem Polishchuk <ego.cordatus@gmail.com> - 1.0-0.5rc1.20200624gitedae91e
- Update to latest git snapshot

* Wed Jun 24 2020 Artem Polishchuk <ego.cordatus@gmail.com> - 1.0-0.4rc1.20200623git9d5e9fc
- Update to latest git snapshot

* Thu Jun 18 2020 Artem Polishchuk <ego.cordatus@gmail.com> - 1.0-0.3rc1.20200612git42b471c
- Update to latest git snapshot
- Add API keys for various services

* Sat Jun 13 2020 Artem Polishchuk <ego.cordatus@gmail.com> - 1.0-0.2rc1.20200612git397bad4
- Update to latest git snapshot

* Tue Jun 09 2020 Artem Polishchuk <ego.cordatus@gmail.com> - 1.0-0.1rc1.20200607git38361e7
- Revert to 1.0-rc1 (upstream revert) and update to latest git snapshot
- Built with CU 1

* Sun May 24 2020 Artem Polishchuk <ego.cordatus@gmail.com> - 1.0-1
- Update to 1.0

* Fri May 22 2020 Artem Polishchuk <ego.cordatus@gmail.com> - 1.0-0.3.rc1.20200522gitbed63d6
- Update to 1.0-rc1

* Wed May 20 2020 Artem Polishchuk <ego.cordatus@gmail.com> - 0-33.20200520git4397945
- Update to latest git snapshot

* Mon May 18 2020 Artem Polishchuk <ego.cordatus@gmail.com> - 0-32.20200518git1dd864e
- Update to latest git snapshot

* Mon May 18 2020 Artem Polishchuk <ego.cordatus@gmail.com> - 0-31.20200518gita8be1e1
- Update to latest git snapshot

* Mon May 18 2020 Artem Polishchuk <ego.cordatus@gmail.com> - 0-30.20200518git4a512b2
- Update to latest git snapshot

* Sun May 10 2020 Artem Polishchuk <ego.cordatus@gmail.com> - 0-29.20200510git052e8c4
- Update to latest git snapshot

* Sat May 09 2020 Artem Polishchuk <ego.cordatus@gmail.com> - 0-28.20200509gita973be4
- Update to latest git snapshot

* Thu May 07 2020 Artem Polishchuk <ego.cordatus@gmail.com> - 0-27.20200507git532d5ce
- Update to latest git snapshot

* Sun May 03 2020 Artem Polishchuk <ego.cordatus@gmail.com> - 0-26.20200503git6ba5b78
- Update to latest git snapshot

* Wed Apr 29 2020 Artem Polishchuk <ego.cordatus@gmail.com> - 0-25.20200421git8ca115a
- Update to latest git snapshot

* Tue Apr 21 2020 Artem Polishchuk <ego.cordatus@gmail.com> - 0-24.20200421gitfc9fa92
- Update to latest git snapshot

* Tue Apr 21 2020 Artem Polishchuk <ego.cordatus@gmail.com> - 0-23.20200421gitcd41e93
- Update to latest git snapshot

* Tue Apr 14 2020 Artem Polishchuk <ego.cordatus@gmail.com> - 0-22.20200414gitc005f75
- Update to latest git snapshot

* Sat Apr 11 2020 Artem Polishchuk <ego.cordatus@gmail.com> - 0-21.20200412git1ba581c
- Update to latest git snapshot

* Fri Apr 03 2020 Artem Polishchuk <ego.cordatus@gmail.com> - 0-20.20200403gita776b48
- Update to latest git snapshot

* Tue Mar 17 2020 Artem Polishchuk <ego.cordatus@gmail.com> - 0-19.20200317gitadf47cc
- Update to latest git snapshot

* Mon Mar 16 2020 Artem Polishchuk <ego.cordatus@gmail.com> - 0-18.20200316git89aeabd
- Update to latest git snapshot

* Sat Mar 14 2020 Artem Polishchuk <ego.cordatus@gmail.com> - 0-17.20200314gitaf4af6b
- Update to latest git snapshot

* Wed Mar 04 2020 Artem Polishchuk <ego.cordatus@gmail.com> - 0-16.20200304git181f1bd
- Update to latest git snapshot

* Sun Feb 23 2020 Artem Polishchuk <ego.cordatus@gmail.com> - 0-15.202002023gitadd174b
- Update to latest git snapshot

* Thu Feb 20 2020 Artem Polishchuk <ego.cordatus@gmail.com> - 0-13.202002020git156a7dc
- Update to latest git snapshot

* Sat Feb 15 2020 Artem Polishchuk <ego.cordatus@gmail.com> - 0-12.202002015git133a86c
- Update to latest git snapshot

* Thu Feb 13 2020 Artem Polishchuk <ego.cordatus@gmail.com> - 0-11.202002013gitb13120d
- Update to latest git snapshot

* Mon Feb 10 2020 Artem Polishchuk <ego.cordatus@gmail.com> - 0-10.202002010gitb574c48
- Update to latest git snapshot

* Fri Feb 07 2020 Artem Polishchuk <ego.cordatus@gmail.com> - 0-9.20200207git8033150
- Update to latest git snapshot

* Wed Feb 05 2020 Artem Polishchuk <ego.cordatus@gmail.com> - 0-8.20200205git510b8c6
- Update to latest git snapshot

* Sun Feb 02 2020 Artem Polishchuk <ego.cordatus@gmail.com> - 0-7.20200202gitdf9d8e7
- Update to latest git snapshot

* Sat Feb 01 2020 Artem Polishchuk <ego.cordatus@gmail.com> - 0-6.20200202git7bc8f25
- Update to latest git snapshot

* Sat Feb 01 2020 Artem Polishchuk <ego.cordatus@gmail.com> - 0-5.20200201giteb8ae82
- Update to latest git snapshot

* Tue Jan 28 2020 Artem Polishchuk <ego.cordatus@gmail.com> - 0-4.20200128gitc0df602
- Update to latest git snapshot

* Sat Jan 25 2020 Artem Polishchuk <ego.cordatus@gmail.com> - 0-3.20200125git9f89f63
- Update to latest git snapshot

* Sat Jan 25 2020 Artem Polishchuk <ego.cordatus@gmail.com> - 0-2.20200125git77a65c1
- Initial package
